diff --git a/src/bin/pg_verify_checksums/t/002_actions.pl b/src/bin/pg_verify_checksums/t/002_actions.pl
index 91adc7fef1..96fbd96e4f 100644
--- a/src/bin/pg_verify_checksums/t/002_actions.pl
+++ b/src/bin/pg_verify_checksums/t/002_actions.pl
@@ -100,16 +100,17 @@ $node->command_checks_all([ 'pg_verify_checksums', '-D', $pgdata, '-r',
 sub fail_corrupt
 {
 	my $node = shift;
+	my $relfilenode = shift;
 	my $file = shift;
 	my $pgdata = $node->data_dir;
 
 	# Create the file with some dummy data in it.
 	append_to_file "$pgdata/global/$file", "foo";
 
-	$node->command_checks_all([ 'pg_verify_checksums', '-D', $pgdata],
+	$node->command_checks_all([ 'pg_verify_checksums', '-D', $pgdata, '-r', $relfilenode],
 						  1,
 						  [qr/^$/],
-						  [qr/could not read block/],
+						  [qr/could not read block 0 in file.*$file\":/],
 						  "fails for corrupted data in $file");
 
 	return;
@@ -117,11 +118,11 @@ sub fail_corrupt
 
 # Authorized relation files filled with corrupted data cause the
 # checksum checks to fail.
-fail_corrupt($node, "99999");
-fail_corrupt($node, "99999.123");
-fail_corrupt($node, "99999_fsm");
-fail_corrupt($node, "99999_init");
-fail_corrupt($node, "99999_vm");
-fail_corrupt($node, "99999_init.123");
-fail_corrupt($node, "99999_fsm.123");
-fail_corrupt($node, "99999_vm.123");
+fail_corrupt($node, "99990", "99990");
+fail_corrupt($node, "99991", "99991.123");
+fail_corrupt($node, "99992", "99992_fsm");
+fail_corrupt($node, "99993", "99993_init");
+fail_corrupt($node, "99994", "99994_vm");
+fail_corrupt($node, "99995", "99995_init.123");
+fail_corrupt($node, "99996", "99996_fsm.123");
+fail_corrupt($node, "99997", "99997_vm.123");
